<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="author" content="Gruppe Pitahaya">
	<meta name="description" content="Gruppenarbeit TOSE - Projektportfolio">
	<meta name="keywords" content="TOSE,Pitahaya,Gruppenarbeit,Projektportfolio">
	<link href="/css/pitahaya.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/css/pitahaya-form.css" rel="stylesheet" type="text/css" media="all" />
	<script type="text/javascript" src="/javascripts/profilbearbeiten.js" async></script> 
	<title>Pitahaya PPM Webseite</title>
</head>

<body>
<div id="page" class="container">
	<div id="header">
		<div id="logo">
			<a href="/index"><img src="/images/pitahaya.jpg" alt="Pitahaya Bild" height="80" width="80"></a>
			<h5>Pitahaya PPM</h5>
			<br>	
			<span th:text="${session_user}"></span>
         	<a href="/logout"><img src="/images/shutdown-button.png" width="16" height="16" align="center"></a>
		</div>
		<div id="menu">
			<ul>
				<li><a href="/index">Startseite</a></li>
				<li class="current_page_item"><a href="profil">Mein Profil</a></li>
				<li><a href="projekte">Projekt&uuml;bersicht</a></li>
				<li><a href="/sites/kontakt.html">Kontakt</a></li>
			</ul>
		</div>
	</div>
	<div id="main">
		<div class="title">
	<!-- Einbindung des Session Users zum anzeigen des Usernamen unter dem Bild auf der Linken seite -->   	
			<h2>Profil von</h2> <h2 th:text="${session_user}"></h2>
		</div>
		<hr>
	<!-- Ausgabe Fehlermeldung wenn ein Feld nicht ausgefüllt wurde -->  	
		<div class="errormsg">
        	<span th:text="${error}"></span>
        </div>
		<form id="benutzerprofil" action="/users/update" th:action="${postAction}" method="post" th:object="${userDetail}">    
			<div class="col-3 field">	
				<input id="Userid" type="text" name="userDetail.id" th:value="*{id}" disabled/>
				<label for="Userid">User ID</label>
			</div>
			<div class="col-3 field">
				<input id="username" type="text" class="Userdatenfeld" name="userDetail.username" th:value="*{username}" disabled/>
				<label for="username">Username</label>
			</div>
			<div class="col-3 field">
				<input id="name" type="text" class="Userdatenfeld" name="userDetail.name" th:value="*{name}" disabled/>
				<label for="name">Name</label>
			</div>
			<div class="col-3 field">
				<input id="vorname" type="text" class="Userdatenfeld" name="userDetail.vorname" th:value="*{vorname}" disabled/>
				<label for="vorname">Vorname</label>
			</div>
			<div class="col-3 field">
				<input id="role" type="text" class="Userdatenfeld" name="userDetail.role" th:value="${userDetail.role.rolename}" disabled/>
				<label for="role">Rolle</label>
			</div>
			<div class="col-3 field">	
				<input id="abteilung" type="text" class="Userdatenfeld" name="userDetail.abteilung" th:value="*{abteilung}" disabled/>
				<label for="abteilung">Abteilung</label> 
			</div>
			<div class="col-3 field">		
				<input id="mail" type="text" class="Userdatenfeld" name="userDetail.mail" th:value="*{mail}" disabled/>
				<label for="mail">Mail</label> 
			</div>
			<div class="col-3 field">		
				<input id="telefon" type="text" class="Userdatenfeld" name="userDetail.telefon" th:value="*{telefon}" disabled/>
				<label for="telefon">Telefon</label> 
			</div>
			<input id="Userdaten bearbeiten" type="button" class="button" value="Userdaten bearbeiten" onclick="freigeben()">  
			<input id="Userdaten speichern" type="submit" class="button" value="Userdaten speichern" disabled>
		</form>
	</div>	
</div>
</body>
<footer>
	<div id="copyright2">
		<span>&copy; Pitahaya </span>		
	</div>
</footer>
</html>
